ApiHostTemplate (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHostTemplate

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHostTemplate

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHostTemplate
      extends Object

  A host template belongs to a cluster and contains a set of role config groups for slave roles (such as DataNodes and TaskTrackers) from services in the cluster. At most one role config group per role type can be present in a host template. Host templates can be applied to fresh hosts (those with no roles on them) in order to create a role for each of the role groups on each host.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHostTemplate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHostTemplate` | `addRoleConfigGroupRefsItem(ApiRoleConfigGroupRef roleConfigGroupRefsItem)`
    `ApiHostTemplate` | `clusterRef(ApiClusterRef clusterRef)`
    `boolean` | `equals(Object o)`
    `ApiClusterRef` | `getClusterRef()` Get clusterRef
    `String` | `getName()` The name of the host template.
    `List<ApiRoleConfigGroupRef>` | `getRoleConfigGroupRefs()` The role config groups belonging to this host tempalte.
    `int` | `hashCode()`
    `ApiHostTemplate` | `name(String name)`
    `ApiHostTemplate` | `roleConfigGroupRefs(List<ApiRoleConfigGroupRef> roleConfigGroupRefs)`
    `void` | `setClusterRef(ApiClusterRef clusterRef)`
    `void` | `setName(String name)`
    `void` | `setRoleConfigGroupRefs(List<ApiRoleConfigGroupRef> roleConfigGroupRefs)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHostTemplate

          public ApiHostTemplate()

  - ### Method Detail

    - #### name

          public ApiHostTemplate name(String name)

    - #### getName

          public String getName()

      The name of the host template. Unique across clusters.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### clusterRef

          public ApiHostTemplate clusterRef(ApiClusterRef clusterRef)

    - #### getClusterRef

          public ApiClusterRef getClusterRef()

      Get clusterRef
      Returns:
        clusterRef

    - #### setClusterRef

          public void setClusterRef(ApiClusterRef clusterRef)

    - #### roleConfigGroupRefs

          public ApiHostTemplate roleConfigGroupRefs(List<ApiRoleConfigGroupRef> roleConfigGroupRefs)

    - #### addRoleConfigGroupRefsItem

          public ApiHostTemplate addRoleConfigGroupRefsItem(ApiRoleConfigGroupRef roleConfigGroupRefsItem)

    - #### getRoleConfigGroupRefs

          public List<ApiRoleConfigGroupRef> getRoleConfigGroupRefs()

      The role config groups belonging to this host tempalte.
      Returns:
        roleConfigGroupRefs

    - #### setRoleConfigGroupRefs

          public void setRoleConfigGroupRefs(List<ApiRoleConfigGroupRef> roleConfigGroupRefs)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.